org.apache.hc.client5.http.impl

## Class ContentCodingSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.ContentCodingSupport

    @Internal
    public final class ContentCodingSupport
    extends Object

Since:
  5.6

### Field Summary

Fields
`static int` `MAX_CODEC_LIST_LEN`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<String>` `parseContentCodecs(EntityDetails entityDetails)`
`static void` `validate(Collection<String> codecList, int maxCodecListLen)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_CODEC_LIST_LEN

    public static final int MAX_CODEC_LIST_LEN

See Also:
  Constant Field Values

### Method Detail

#### parseContentCodecs

    public static List<String> parseContentCodecs(EntityDetails entityDetails)

#### validate

    public static void validate(Collection<String> codecList,
                                int maxCodecListLen)
                         throws ProtocolException

Throws:
  `ProtocolException`